{% extends 'templates/main.volt' %}

{% block content %}

    {% set back_url = url({'for':'admin.category.list'},{'type':type}) %}
    {% set add_url = url({'for':'admin.category.add'},{'type':type,'parent_id':parent.id}) %}
    {% set allow_add = (type == 1 and parent.level < 2) or (type == 2 and parent.level < 1) %}

    <div class="kg-nav">
        <div class="kg-nav-left">
            <span class="layui-breadcrumb">
                {% if parent.id > 0 %}
                    <a class="kg-back" href="{{ back_url }}"><i class="layui-icon layui-icon-return"></i>返回</a>
                    <a><cite>{{ parent.name }}</cite></a>
                {% endif %}
                <a><cite>分类管理</cite></a>
            </span>
        </div>
        <div class="kg-nav-right">
            {% if allow_add %}
                <a class="layui-btn layui-btn-sm" href="{{ add_url }}"><i class="layui-icon layui-icon-add-1"></i>添加分类</a>
            {% endif %}
        </div>
    </div>

    <table class="layui-table kg-table layui-form">
        <colgroup>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col>
            <col width="12%">
        </colgroup>
        <thead>
        <tr>
            <th>编号</th>
            <th>名称</th>
            <th>层级</th>
            <th>子节点</th>
            <th>排序</th>
            <th>发布</th>
            <th>操作</th>
        </tr>
        </thead>
        <tbody>
        {% for item in categories %}
            {% set child_url = url({'for':'admin.category.list'},{'type':item.type,'parent_id':item.id}) %}
            {% set edit_url = url({'for':'admin.category.edit','id':item.id}) %}
            {% set update_url = url({'for':'admin.category.update','id':item.id}) %}
            {% set delete_url = url({'for':'admin.category.delete','id':item.id}) %}
            {% set restore_url = url({'for':'admin.category.restore','id':item.id}) %}
            <tr>
                <td>{{ item.id }}</td>
                {% if item.type == 1 and item.level < 2 %}
                    <td><a href="{{ child_url }}">{{ item.name }}</a></td>
                {% else %}
                    <td><a href="{{ edit_url }}">{{ item.name }}</a></td>
                {% endif %}
                <td><span class="layui-badge layui-bg-gray">{{ item.level }}</span></td>
                <td><span class="layui-badge layui-bg-gray">{{ item.child_count }}</span></td>
                <td><input class="layui-input kg-priority" type="text" name="priority" title="数值越小排序越靠前" value="{{ item.priority }}" data-url="{{ update_url }}"></td>
                <td><input type="checkbox" name="published" value="1" lay-skin="switch" lay-text="是|否" lay-filter="published" data-url="{{ update_url }}" {% if item.published == 1 %}checked="checked"{% endif %}></td>
                <td class="center">
                    <div class="layui-dropdown">
                        <button class="layui-btn layui-btn-sm">操作 <i class="layui-icon layui-icon-triangle-d"></i></button>
                        <ul>
                            <li><a href="{{ edit_url }}">编辑</a></li>
                            {% if item.deleted == 0 %}
                                <li><a href="javascript:" class="kg-delete" data-url="{{ delete_url }}">删除</a></li>
                            {% else %}
                                <li><a href="javascript:" class="kg-restore" data-url="{{ restore_url }}">还原</a></li>
                            {% endif %}
                        </ul>
                    </div>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}